Get List of Liquidity Providers

Learn how to get the list of Liquidity Providers.

1. Endpoints

2. API Calls

2.1 Get All Liquidity Providers

GET /v2/liquidity-providers
//Gets list of liquidity providers
Query Parameters

None

Responses
http codecontent-typeresponse
200application/jsonReturns a list of liquidity providers
4xxapplication/json{"error": "string","message": "string"

3. Try It Out

NB: You will need to obtain the value for the X_INTERSTELLAR_ERM_API_KEY header required below. Please contact the product owner to get or generate this api key for you. See the section on API Keys for more details.

For this demo, use the following:

export X_INTERSTELLAR_ERM_API_KEY=ocQPTBQUdhpCOeBznkJc8sM2rVu4iTFg

3.1 Get Token

export TOKEN_ENDPOINT=https://id.pipechain-testnet.stargate.is/realms/interswitch-dev/protocol/openid-connect/token\;

export TOKEN_CLIENT_ID=interswitch-dev-api;

export API_ENDPOINT=https://dev-api-pipechain.qa.interswitchng.com

export MY_USERNAME="ng.bank.demo.ngn.api";
export MY_PASSWORD="abc";

export MY_TOKENS=`curl -s --request POST \
--url "$TOKEN_ENDPOINT" \
--data-urlencode grant_type='password' \
--data-urlencode username="$MY_USERNAME" \
--data-urlencode password="$MY_PASSWORD" \
--data-urlencode client_id="$TOKEN_CLIENT_ID"`
echo $MY_TOKENS
export MY_ACCESS_TOKEN=`echo $MY_TOKENS | jq -r ".access_token"`
echo $MY_ACCESS_TOKEN

curl -s --request GET \
--url "$API_ENDPOINT/liquidity-providers" \
--header  "accept: application/json" \
--header 'accept: */*' \
--header "X_INTERSTELLAR_ERM_API_KEY: $X_INTERSTELLAR_ERM_API_KEY" \
--header "Authorization: Bearer $MY_ACCESS_TOKEN" 
Sample Response

  [
     {
        "id":"9c84ec69-3755-4188-b6ac-ab3e99a6bfa2",
        "pagingToken":"1689676861818-633697654",
        "companyName":"Demo Liquidity Group",
        "shortId":"demo-liquidity-group",
        "bankTransactionMemo":"LPBB4C41",
        "kycUrl":"https://kyc.com",
        "createdAt":"2023-07-18T10:41:01.819Z",
        "updatedAt":"2023-07-18T10:41:51.1Z",
        "extras":null
     },
     {
        "id":"ea5ca78c-f5e9-49d4-b246-0fe70bdd3e78",
        "pagingToken":"1689078543782-850599166",
        "companyName":"Demo Group",
        "bankTransactionMemo":"LPBB4C42",
        "shortId":"demo-group",
        "kycUrl":"https://example.com",
        "createdAt":"2023-07-11T12:29:03.782Z",
        "updatedAt":"2023-07-11T12:30:20.508Z",
        "extras":null
     }
  ]
  1. Data Models

4.1 Liquidity Providers


fieldtypedecription
idstringID of the liquidity provider.
Usually in the form of a UUID
companyNamestringCompany name of the liquidity provider
bankTransactionMemostringNarration to identify a liquidity provider when new funds are deposited in the bank’s liquidity pool